%global momorel 6
Summary: GD module for perl (GD)
Name: perl-GD
Version: 2.06
Release: %{momorel}m
License: Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/GD/
Source0: http://www.cpan.org/modules/by-module/GD/GD-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: freetype-devel, freetype2-devel
BuildPreReq: libpng-devel >= 1.2.2, gd-devel >= 2.0, libjpeg-devel
BuildPreReq: perl >= 5.8.2

%description
GD module for perl

# Provide perl-specific find-{provides,requires}.
%global __find_provides /usr/lib/rpm/find-provides.perl
%global __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n GD-%{version} 

%build
echo "\n\n\n" | CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make PERL_INSTALL_ROOT=%{buildroot} install

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > GD-%{version}-filelist
if [ "$(cat GD-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/GD/.packlist

%files -f GD-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.06-6m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.06-5m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.06-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.06-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.06-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.06-1m)
- version 2.06

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.41-1m)
- add some BuildPreReqs

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.33-15m)
- remove BuildPreReq: gcc2.95.3

* Sat Jun  1 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.33-14k)
- BuildPreReq: gd-devel.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.33-12k)
- rebuild against libpng 1.2.2.

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.33-10k)
- rebuild against for perl-5.6.1

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.33-8k)
- s/Copyright/License/

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (1.33-6k)
- rebuild against libpng 1.2.0.

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.33-4k)
- no more fixpack...

* Sun Sep  9 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.33-2k)
- from RedHat powertools-7.1
- update to GD.pm 1.33
- change GD-1.29-packlist -> GD-packlist
- change Group: tag

* Mon Oct 30 2000 Tim Powers <timp@redhat.com>
- rebuilt for alpha, and for Powertools errata for perl-Chart

* Thu Jun 29 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
